
public class TechnicalIllustrator extends Employee {

	private String[] skills = new String[5];
	private int index = 0;

	public String[] getSkills() {
		return skills;
	}

	public void setSkills(String[] skills) {
		this.skills = skills;
	}

	public void setSkill(String skill) {
		skills[index++] = skill;
	}
	
	public void displayTechnicalIllustratorInformation() {
		System.out.println("*******************************");
		System.out.println("***** Technical Illustrator Information *****");
		System.out.println("*******************************");
		System.out.println("Employee Id: " + getEmployeeId());
		System.out.println("Name: " + getName());
		System.out.println("Job Title: " + getJobTitle());
		System.out.println("Level: " + getLevel());
		// loop list of employees
		for (int i = 0; i < skills.length; i++) {
			if (skills[i] != null) {
				System.out.println("\t-" + skills[i]);
			}
		}
		System.out.println();
	}
}
